package com.tofly.xrtygis.custom.mapper;

import com.tofly.xrtygis.entity.Costprestation;
import org.springframework.data.repository.query.Param;

import java.util.List;
import java.util.Map;

/**
 * @author 20126
 */
public interface CosTprStationMapper {
    /**
     * 查看是否财务填报
     * @param time 时间
     * @return list
     */
    Long isFinance(@Param("time") String time, @Param("tableName") String tableName,@Param("preType") Long preType);

    Long notFinance(@Param("time") String time,@Param("preType") Long preType);
    /**
     * 获取加压站财务填报总和
     * @return Costprestation
     */
    Map getRealSum(@Param("mark") String mark);

    Costprestation getRealSum2(@Param("month") String month,@Param("mark") String mark,@Param("preType") Long preType);

    Costprestation getRealSum3(@Param("month") String month,@Param("mark") String mark,@Param("preType") Long preType);
    /**
     * 获取加压站每天信息
     * @param month
     * @param preType
     * @return
     */
    List<Map> getStationInfo(@Param("month") String month,@Param("preType") Long preType);

    List<Map<String,Object>> getPreValue(@Param("month") String month,@Param("pcid") Long pcid);

}
